package jp.co.gihyo.webdb.vol35.tdd.webapp.rest.impl;

import org.apache.commons.lang.ClassUtils;
import org.apache.commons.lang.StringUtils;
import org.custommonkey.xmlunit.XMLTestCase;
import org.custommonkey.xmlunit.XMLUnit;

public class EntityMarshallerImplTest extends XMLTestCase {
    EntityMarshallerImpl marshaller;
    protected void setUp() throws Exception {
        marshaller = new EntityMarshallerImpl();
        XMLUnit.setIgnoreWhitespace(true);
    }

    public void testIuWFNgnXMLɕϊĕԂ() throws Exception {
        SampleEntity koichik = new SampleEntity();
        koichik.setId(101);
        koichik.setName("koichik");

        String xml = marshaller.marshal(koichik);

        String expected = "<sampleEntity>" +
                "<id>101</id><name>koichik</name>" +
                "</sampleEntity>";
        assertXMLEqual(expected, xml);
    }

    public void test^^CŔf() throws Exception {
        SampleEntity2 robert = new SampleEntity2();
        robert.setId(200);
        robert.setNickName("Bob");

        String xml = marshaller.marshal(robert);

        String expected = "<sampleEntity2>" +
                "<id>200</id><nickName>Bob</nickName>" +
                "</sampleEntity2>";
        assertXMLEqual(expected, xml);
    }

    public void testIuWFNgNX擾@̊wK()
            throws Exception {
        SampleEntity obj = new SampleEntity();
        String actual =
            ClassUtils.getShortClassName(obj.getClass());
        assertEquals("SampleEntity", actual);
    }

    public void test̐擪ɂ@̊wK() throws Exception {
        String actual =
            StringUtils.uncapitalize("SampleEntity");
        assertEquals("sampleEntity", actual);
    }
}
