package jp.co.gihyo.webdb.vol35.tdd.webapp.rest.impl;

import jp.co.gihyo.webdb.vol35.tdd.webapp.rest.EntityMarshaller;

import org.apache.commons.lang.ClassUtils;
import org.apache.commons.lang.StringUtils;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.io.xml.DomDriver;


public class EntityMarshallerImpl implements EntityMarshaller {

    public String marshal(Object obj) {
        Class clazz = obj.getClass();
        XStream xstream = new XStream(new DomDriver());
        String shortName = ClassUtils.getShortClassName(clazz);
        xstream.alias(StringUtils.uncapitalize(shortName), clazz);
        return xstream.toXML(obj);
    }

}
