package jp.co.gihyo.webdb.vol35.tdd.webapp.rest.impl;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.co.gihyo.webdb.vol35.tdd.webapp.rest.EntityRequestRetriever;
import jp.co.gihyo.webdb.vol35.tdd.webapp.rest.EntityResponseWriter;
import jp.co.gihyo.webdb.vol35.tdd.webapp.rest.RestOperationDelegate;

public class RestOperationDelegateImpl implements RestOperationDelegate {
    
    public void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException {
        Object entity = entityRequestRetriever.retrieveEntityFor(request);
        entityResponseWriter.writeEntityTo(request, response, entity);
    }
    
    private EntityRequestRetriever entityRequestRetriever;
    public void setEntityRequestRetriever(EntityRequestRetriever entityRequestRetriever) {
        this.entityRequestRetriever = entityRequestRetriever;
    }
    private EntityResponseWriter entityResponseWriter;
    public void setEntityResponseWriter(EntityResponseWriter entityResponseWriter) {
        this.entityResponseWriter = entityResponseWriter;
    }
}
